#!/bin/sh

# global var:
#  APP_PATCH_ROOT=/etc/iscan
#  PATCHINFOINI=stargate_patch.ini
#  PATCHMGMINI=${INSTALL_DIR}/patch/config/patch_management.ini
#  PATCH_NUMBER=`F_ini_get $PATCHINFOINI PatchInfo Number`

# will be called before database is shutdown.
F_apply_database_changes()
{
    echo F_apply_database_changes
}

# will be called before database is shutdown.
F_rollback_database_changes()
{
    echo F_rollback_database_changes
}

F_binary_extra_copy()
{
    echo F_binary_extra_copy
}

F_update_extra_ini() {
	echo "Updating the ini file."

    IWSS_DATA=/var/iwss
    INTSCAN_CONF=$IWSS_DATA/intscan.ini
    URLF_CONF=$IWSS_DATA/urlfcIFX.ini
	HTTP_CONF=$IWSS_DATA/IWSSPIProtocolHttpProxy.pni
}

# will be called after binary copying
F_apply_extra_changes()
{
	echo F_apply_extra_changes

	F_binary_extra_copy
	F_update_extra_ini
}

# will be called after binary copying
F_rollback_extra_changes()
{
	echo F_rollback_extra_changes
}
